<div class="conteiner">
    <div class="row">
        <div class="nonePadding ml-3 col-10 col-md-3 col-lg-3 col-xl-3">
            <span class="nonePadding ml-3 col-12 text-right">Sexo *</span>
            <nb-select  [(selected)]="sexoSelected" class="nonePadding ml-3 mb-3 col-12">
                <nb-option *ngFor="let item of datosInit.generos" [value]="item"> {{ item.descripcion }}</nb-option>
            </nb-select>
        </div>

        <div class="nonePadding ml-3 col-10 col-md-3 col-lg-3 col-xl-3">
            <span class="nonePadding ml-3 col-12 text-right">Provincia *</span>
            <nb-select #provincia  [(selected)]="provinciaSelected"
                class="nonePadding ml-3 mb-3 col-12">
                <nb-option *ngFor="let item of datosInit.provincias" [value]="item"> {{ item.provincia.descripcion }}
                </nb-option>
            </nb-select>
        </div>

        <div *ngIf="provinciaSelected != null" class="nonePadding ml-3 col-10 col-md-3 col-lg-3 col-xl-3">
            <span class="nonePadding ml-3 col-12 text-right">Localidad *</span>

            <nb-select [(selected)]="localidadSelected" class="nonePadding ml-3 mb-3 col-12">
                <nb-option *ngFor="let item of provinciaSelected.localidades" [value]="item">
                    {{ item.descripcion }}
                </nb-option>
            </nb-select>
        </div>

    </div>
    <div class="row">


        <div class="nonePadding ml-3 col-10 col-md-3 col-lg-3 col-xl-3">
            <span class="nonePadding ml-3 col-12 text-right">Edad Desde *</span>

            <input type="text" nbInput id="edadDesde" fullwith class="form-control  ml-3 mb-3 col-12"
                aria-describedby="spanEdadDesde" [(ngModel)]="edadDesdeSelected">
        </div>
        <div class="nonePadding ml-3 col-10 col-md-3 col-lg-3 col-xl-3">
            <span class="nonePadding ml-3 col-12 text-right">Edad Hasta *</span>

            <input type="text" nbInput id="edadHasta" class="form-control  ml-3 mb-3 col-12"
                aria-describedby="spanEdadHasta" [(ngModel)]="edadHastaSelected">
        </div>


    </div>
    <div class="row">
        <div class="col-10"></div>
        <button nbButton type="button"
            [disabled]="sexoSelected == undefined || sexoSelected == null 
                        || provinciaSelected == undefined || provinciaSelected == null 
                        || localidadSelected == undefined || localidadSelected == null
                        || edadDesdeSelected == undefined || edadDesdeSelected == null
                        || edadHastaSelected == undefined || edadHastaSelected == null"
            (click)="agregar()">Agregar</button>
    </div>
</div>